Index: /palm/trunk/SCRIPTS/.mrun.config.forwind
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.forwind	(revision 1201)
+++ /palm/trunk/SCRIPTS/.mrun.config.forwind	(revision 1202)
@@ -10,5 +10,5 @@
 # by "/iwes/" if your user directory resides in /iwes/.
 ################################################################################
-%output_data       /data/work/fw/<REPLACE BY YOUR USERNAME>/palm/current_version/JOBS
+%output_data       /data/work/gpfs/fw/<REPLACE BY YOUR USERNAME>/palm/current_version/JOBS
 %source_path       $base_directory/trunk/SOURCE
 %add_source_path   $base_directory/USER_CODE/$fname
@@ -66,6 +66,6 @@
 ################################################################################
 %remote_username   <USERNAME_FLOW>                                                                                               lcflow parallel
-%tmp_user_catalog  /data/work/fw/$remote_username/tmp                                                                            lcflow parallel
-%tmp_data_catalog  /data/work/fw/$remote_username/palm_restart_data                                                              lcflow parallel
+%tmp_user_catalog  /data/work/gpfs/fw/$remote_username/tmp                                                                            lcflow parallel
+%tmp_data_catalog  /data/work/gpfs/fw/$remote_username/palm_restart_data                                                              lcflow parallel
 %compiler_name     mpiifort                                                                                                      lcflow parallel
 %compiler_name_ser ifort                                                                                                         lcflow parallel
@@ -77,5 +77,5 @@
 %lopts             -xhost:-O3:-fpp:-r8:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-sqrt:-ip:-nbs:-static-intel:-Wl,-rpath:/cm/shared/apps/intel/ics-2011.0.013/composerxe-2011.0.084/compiler/lib/intel64          lcflow parallel
 %login_init_cmd    .:/etc/bashrc                     lcflow parallel
-%modules           sge/6.2u5p2:netcdf/4.2.1.1/intel/64/2011.0.013:netcdf-fortran/4.2/intel/64/2011.0.013:intel/ics/64/2011.0.013:intel/impi/64/4.0.1.007:hdf5/1.8.9/intel/64/2011.0.013:qt4     lcflow parallel 
+%modules           sge/6.2u5p2:netcdf/4.2.1.1/intel/64/2011.0.013:netcdf-fortran/4.2/intel/64/2011.0.013:intel/ics/64/2011.0.013:intel/impi/64/4.1.0.024:hdf5/1.8.9/intel/64/2011.0.013:qt4     lcflow parallel 
 %disc_space        50                                                                                                            lcflow parallel 
 #
@@ -108,21 +108,22 @@
 # List of input-files
 #----------------------------------------------------------------------------
-PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
-PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
-TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
-BININ                    in:loc:flpe   d3f:rec  $base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
-DATA_1D_PR_NETCDF        in:locopt     prf      $output_data/$fname/OUTPUT   _pr     nc
-DATA_1D_SP_NETCDF        in:locopt     spf      $output_data/$fname/OUTPUT   _sp     nc
-DATA_1D_TS_NETCDF        in:locopt     tsf      $output_data/$fname/OUTPUT   _ts     nc
-DATA_1D_PTS_NETCDF       in:locopt     ptsf     $output_data/$fname/OUTPUT   _pts    nc
-DATA_2D_XY_NETCDF        in:locopt     xyf      $output_data/$fname/OUTPUT   _xy     nc
-DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $output_data/$fname/OUTPUT   _xy_av  nc
-DATA_2D_XZ_NETCDF        in:locopt     xzf      $output_data/$fname/OUTPUT   _xz     nc
-DATA_2D_XZ_AV_NETCDF     in:locopt     xzf      $output_data/$fname/OUTPUT   _xz_av  nc
-DATA_2D_YZ_NETCDF        in:locopt     yzf      $output_data/$fname/OUTPUT   _yz     nc
-DATA_3D_NETCDF           in:locopt     3df      $output_data/$fname/OUTPUT   _3d     nc
-DATA_3D_AV_NETCDF        in:locopt     3df      $output_data/$fname/OUTPUT   _3d_av  nc
-DATA_PRT_NETCDF          in:locopt:pe  prtf     $output_data/$fname/OUTPUT   _prt
+PARIN                    in:job        d3#      $base_data/$fname/INPUT     _p3d
+PARIN                    in:job        d3f      $base_data/$fname/INPUT     _p3df
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT     _topo
+BININ                    in:loc:flpe   d3f:rec  $base_data/$fname/RESTART   _d3d
+PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART   _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf      $output_data/$fname/OUTPUT  _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf      $output_data/$fname/OUTPUT  _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf      $output_data/$fname/OUTPUT  _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf     $output_data/$fname/OUTPUT  _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf      $output_data/$fname/OUTPUT  _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $output_data/$fname/OUTPUT  _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf      $output_data/$fname/OUTPUT  _xz     nc
+DATA_2D_XZ_AV_NETCDF     in:locopt     xzf      $output_data/$fname/OUTPUT  _xz_av  nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf      $output_data/$fname/OUTPUT  _yz     nc
+DATA_2D_YZ_AV_NETCDF     in:locopt     yzf      $output_data/$fname/OUTPUT  _yz_av  nc
+DATA_3D_NETCDF           in:locopt     3df      $output_data/$fname/OUTPUT  _3d     nc
+DATA_3D_AV_NETCDF        in:locopt     3df      $output_data/$fname/OUTPUT  _3d_av  nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf     $output_data/$fname/OUTPUT  _prt    nc
 #
 #----------------------------------------------------------------------------
@@ -139,20 +140,20 @@
 CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
 #
-DATA_1D_PR_NETCDF      out:loc    pr#       $output_data/$fname/OUTPUT  _pr     nc
-DATA_1D_PR_NETCDF      out:loc    prf       $output_data/$fname/OUTPUT  _pr     nc
-DATA_1D_SP_NETCDF      out:loc    sp#       $output_data/$fname/OUTPUT  _sp     nc
-DATA_1D_SP_NETCDF      out:loc    spf       $output_data/$fname/OUTPUT  _sp     nc
-DATA_1D_TS_NETCDF      out:loc    ts#       $output_data/$fname/OUTPUT  _ts     nc
-DATA_1D_TS_NETCDF      out:loc    tsf       $output_data/$fname/OUTPUT  _ts     nc
-DATA_1D_PTS_NETCDF     out:loc    pts#      $output_data/$fname/OUTPUT  _pts    nc
-DATA_1D_PTS_NETCDF     out:loc    ptsf      $output_data/$fname/OUTPUT  _pts    nc
-DATA_2D_XY_NETCDF      out:loc    xy#:xyf   $output_data/$fname/OUTPUT  _xy     nc
-DATA_2D_XY_AV_NETCDF   out:loc    xy#:xyf   $output_data/$fname/OUTPUT  _xy_av  nc
-DATA_2D_XZ_NETCDF      out:loc    xz#:xzf   $output_data/$fname/OUTPUT  _xz     nc
-DATA_2D_XZ_AV_NETCDF   out:loc    xz#:xzf   $output_data/$fname/OUTPUT  _xz_av  nc
-DATA_2D_YZ_NETCDF      out:loc    yz#:yzf   $output_data/$fname/OUTPUT  _yz     nc
-DATA_2D_YZ_AV_NETCDF   out:loc    yz#:yzf   $output_data/$fname/OUTPUT  _yz_av  nc
-DATA_3D_NETCDF         out:loc    3d#:3df   $output_data/$fname/OUTPUT  _3d     nc
-DATA_3D_AV_NETCDF      out:loc    3d#:3df   $output_data/$fname/OUTPUT  _3d_av  nc
+DATA_1D_PR_NETCDF      out:loc    pr#       $output_data/$fname/OUTPUT  _pr      nc
+DATA_1D_PR_NETCDF      out:loc    prf       $output_data/$fname/OUTPUT  _pr      nc
+DATA_1D_SP_NETCDF      out:loc    sp#       $output_data/$fname/OUTPUT  _sp      nc
+DATA_1D_SP_NETCDF      out:loc    spf       $output_data/$fname/OUTPUT  _sp      nc
+DATA_1D_TS_NETCDF      out:loc    ts#       $output_data/$fname/OUTPUT  _ts      nc
+DATA_1D_TS_NETCDF      out:loc    tsf       $output_data/$fname/OUTPUT  _ts      nc
+DATA_1D_PTS_NETCDF     out:loc    pts#      $output_data/$fname/OUTPUT  _pts     nc
+DATA_1D_PTS_NETCDF     out:loc    ptsf      $output_data/$fname/OUTPUT  _pts     nc
+DATA_2D_XY_NETCDF      out:loc    xy#:xyf   $output_data/$fname/OUTPUT  _xy      nc
+DATA_2D_XY_AV_NETCDF   out:loc    xy#:xyf   $output_data/$fname/OUTPUT  _xy_av   nc
+DATA_2D_XZ_NETCDF      out:loc    xz#:xzf   $output_data/$fname/OUTPUT  _xz      nc
+DATA_2D_XZ_AV_NETCDF   out:loc    xz#:xzf   $output_data/$fname/OUTPUT  _xz_av   nc
+DATA_2D_YZ_NETCDF      out:loc    yz#:yzf   $output_data/$fname/OUTPUT  _yz      nc
+DATA_2D_YZ_AV_NETCDF   out:loc    yz#:yzf   $output_data/$fname/OUTPUT  _yz_av   nc
+DATA_3D_NETCDF         out:loc    3d#:3df   $output_data/$fname/OUTPUT  _3d      nc
+DATA_3D_AV_NETCDF      out:loc    3d#:3df   $output_data/$fname/OUTPUT  _3d_av   nc
 DATA_MASK_01_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m01     nc
 DATA_MASK_01_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m01_av  nc
@@ -195,6 +196,5 @@
 DATA_MASK_20_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m20     nc
 DATA_MASK_20_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m20_av  nc
-DATA_PRT_NETCDF        out:loc:pe prt#:prtf $output_data/$fname/OUTPUT  _prt    nc
-DATA_PRT_NETCDF        out:loc:pe prt#:prtf $output_data/$fname/OUTPUT  _prt    nc
+DATA_PRT_NETCDF        out:loc:pe prt#:prtf $output_data/$fname/OUTPUT  _prt     nc
 DATA_DVR               out:loc:pe dvr       $output_data/$fname/OUTPUT  _dvr 
 #
Index: /palm/trunk/SCRIPTS/batch_scp
===================================================================
--- /palm/trunk/SCRIPTS/batch_scp	(revision 1201)
+++ /palm/trunk/SCRIPTS/batch_scp	(revision 1202)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-# 
+# adjustments for Forwind cluster (lcflow): using absolute paths for ssh
 #
 # Former revisions:
@@ -258,4 +258,14 @@
 
 
+   # Using absolute paths for ssh on lcflow (nodes "cfd_*") as the paths of the
+   # job scheduler have changed
+ if [[ $(echo $local_host | cut -c1-3) = "cfd" ]]
+ then
+   SSH_BIN=/usr/bin/ssh
+ else
+   SSH_BIN=ssh
+ fi
+
+
     # PRUEFEN, OB LOKALE DATEI/LOKALES VERZEICHNIS VORHANDEN BZW. NICHT VORHANDEN
  if [[ $get = false ]]
@@ -317,5 +327,5 @@
     ssh $SSH_PORTOPT $local_user@gaiad "ssh $SSH_PORTOPT $1 -l $remote_user \"unset LANG; cd $3; ls -1; echo '*** list complete'\" "  > $filelist  2>&1
  else
-    ssh $SSH_PORTOPT $1 -l $remote_user "unset LANG; cd $3; ls -1; echo '*** list complete'" > $filelist  2>&1
+    $SSH_BIN $SSH_PORTOPT $1 -l $remote_user "unset LANG; cd $3; ls -1; echo '*** list complete'" > $filelist  2>&1
  fi
  ssh_status=$?
@@ -527,5 +537,5 @@
        ssh $SSH_PORTOPT $local_user@gaiad "ssh $1 -l $remote_user \"cd $3\" " > $filelist
     else
-       ssh $SSH_PORTOPT $1 -l $remote_user "cd $3" > $filelist
+       $SSH_BIN $SSH_PORTOPT $1 -l $remote_user "cd $3" > $filelist
     fi
     if [[ $? != 0 ]]
@@ -608,5 +618,5 @@
                 remote_size=`ssh $SSH_PORTOPT $local_user@gaiad "ssh $SSH_PORTOPT $1 -l $remote_user \"ls -al $catalog_name$4$zyklusnr\" "`
              else
-                remote_size=`ssh $SSH_PORTOPT $1 -l $remote_user "ls -al $catalog_name$4$zyklusnr"`
+                remote_size=`$SSH_BIN $SSH_PORTOPT $1 -l $remote_user "ls -al $catalog_name$4$zyklusnr"`
              fi
              remote_size=`echo $remote_size | cut -d" " -f5`
@@ -638,5 +648,5 @@
                 remote_size=`ssh $SSH_PORTOPT $local_user@gaiad "ssh $SSH_PORTOPT $1 -l $remote_user \"ls -al ${catalog_name}batch_scp_append_file.$random\" "`
              else
-                remote_size=`ssh $SSH_PORTOPT $1 -l $remote_user "ls -al ${catalog_name}batch_scp_append_file.$random"`
+                remote_size=`$SSH_BIN $SSH_PORTOPT $1 -l $remote_user "ls -al ${catalog_name}batch_scp_append_file.$random"`
              fi
              remote_size=`echo $remote_size | cut -d" " -f5`
@@ -657,5 +667,5 @@
              ssh $SSH_PORTOPT $local_user@gaiad "ssh $SSH_PORTOPT $1 -l $remote_user \"cd $3; cat batch_scp_append_file.$random >> $4$zyklusnr; rm batch_scp_append_file.$random; echo '*** append complete'\" " > $filelist
           else
-             ssh $SSH_PORTOPT $1 -l $remote_user "cd $3; cat batch_scp_append_file.$random >> $4$zyklusnr; rm batch_scp_append_file.$random; echo '*** append complete'" > $filelist
+             $SSH_BIN $SSH_PORTOPT $1 -l $remote_user "cd $3; cat batch_scp_append_file.$random >> $4$zyklusnr; rm batch_scp_append_file.$random; echo '*** append complete'" > $filelist
           fi
           if [[ $? != 0 ]]
@@ -677,5 +687,5 @@
           ssh $SSH_PORTOPT $local_user@gaiad "ssh $1 -l $remote_user \"mkdir -p $3\" "
        else
-          ssh $SSH_PORTOPT $1 -l $remote_user "mkdir -p $3"
+          $SSH_BIN $SSH_PORTOPT $1 -l $remote_user "mkdir -p $3"
        fi
        if [[ $? != 0 ]]
Index: /palm/trunk/SCRIPTS/subjob
===================================================================
--- /palm/trunk/SCRIPTS/subjob	(revision 1201)
+++ /palm/trunk/SCRIPTS/subjob	(revision 1202)
@@ -23,5 +23,5 @@
 # Current revisions:
 # ------------------
-# 
+# adjustments for Forwind cluster (lcflow)
 #
 # Former revisions:
@@ -837,5 +837,5 @@
  elif [[ $remote_host = lcflow ]]
  then
-    if [ $memory -gt 1900 ]; then
+    if [ $memory -gt 1800 ]; then
       use_himem=""
     else
@@ -844,7 +844,7 @@
     if [[ $numprocs != 0 ]]
     then
-      pe_set="#$ -pe impi $numprocs"
-    else
-      pe_set="#$ -pe impi 1"
+      pe_set="#$ -pe impi41 $numprocs"
+    else
+      pe_set="#$ -pe impi41 1"
     fi
     if [[ $queue = default ]]
@@ -1454,5 +1454,6 @@
           echo "SGEPREFIX -cwd"                                          >>  $job_to_send
           echo "SGEPREFIX -l h_rt=01:00:00"                              >>  $job_to_send
-          echo "SGEPREFIX -l h_vmem=100M"                                >>  $job_to_send
+          echo "SGEPREFIX -l h_vmem=500M"                                >>  $job_to_send
+          echo "SGEPREFIX -l excl_flow=false"                            >>  $job_to_send
           echo "SGEPREFIX -j y"                                          >>  $job_to_send
           echo "SGEPREFIX -o ${local_host}_${job_name}_scpjob_$kennung"  >>  $job_to_send 
@@ -1521,5 +1522,5 @@
        then
           echo "mv  scpjob.$kennung  $job_catalog"           >>  $job_to_send
-          echo "ssh ${remote_username}@${remote_addres}  \"$init_cmds $module_calls cd $job_catalog; $submcom scpjob.$kennung\" "  >>  $job_to_send
+          echo "/usr/bin/ssh ${remote_username}@${remote_addres}  \"$init_cmds $module_calls cd $job_catalog; $submcom scpjob.$kennung\" "  >>  $job_to_send
        else
           echo "$submcom  scpjob.$kennung"      >>  $job_to_send
@@ -1626,5 +1627,5 @@
        elif [[ $remote_host = lcflow ]]
        then
-          ssh  $SSH_PORTOPT $remote_addres  -l $remote_user  "$init_cmds $module_calls cd $job_catalog; $submcom $job_on_remhost"
+          /usr/bin/ssh  $SSH_PORTOPT $remote_addres  -l $remote_user  "$init_cmds $module_calls cd $job_catalog; $submcom $job_on_remhost"
        else
           ssh  $SSH_PORTOPT $remote_addres  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost; rm $job_on_remhost"