Index: /palm/trunk/TUTORIAL/SOURCE/canopy_model.tex
===================================================================
--- /palm/trunk/TUTORIAL/SOURCE/canopy_model.tex	(revision 1204)
+++ /palm/trunk/TUTORIAL/SOURCE/canopy_model.tex	(revision 1205)
@@ -66,5 +66,5 @@
    \frametitle{Overview}
    \begin{itemize}
-      \item<1->{The canopy model embedded in PALM can be used to study the effect of a plant canopy on:}
+      \item<1->{The canopy model embedded in PALM can be used to study the effect of a plant canopy on e.g.:}
       \begin{itemize}
          \item<2->{mean flow field,}
@@ -72,8 +72,8 @@
          \item<4->{scalar exchange processes between canopy and atmosphere.}
       \end{itemize}
-      \item<5->{Within the canopy model, the plant canopy acts as a sink for momentum and as a source/sink for active (temperature) and passive (e.g. tracer) scalars.}
+      \item<5->{Within the canopy model, the plant canopy acts as a sink for momentum and as a source/sink for active (e.g. temperature) and passive (e.g. tracer) scalars.}
       \item<6->{The canopy model does not account for each plant element, but rather accounts for a volume averaged effect on the flow and scalar concentration, depending on:}
       \begin{itemize}
-         \item<7->{leaf area distribution,}
+         \item<7->{leaf area density,}
          \item<8->{drag coefficient.}
       \end{itemize}
@@ -90,5 +90,5 @@
       \item<1->{A plant canopy affects the flow by acting as a momentum sink due to form and viscous drag forces.}
       \item<2->{The effectiveness of momentum absorption depends on the amount of leaf area per unit volume and the aerodynamic drag.}
-      \item<3->{Due to the aerodynamic drag the flow is decelerated within the canopy, leading to an inflection point in the vertical profile of the horizontal velocity at the canopy top.
+      \item<3->{Due to the aerodynamic drag, the flow is decelerated within the canopy, leading to an inflection point in the vertical profile of the horizontal velocity at the canopy top.
          \begin{center}
             \includegraphics[width=0.5\textwidth]{canopy_model_figures/abb1.png}
@@ -106,7 +106,7 @@
    \begin{footnotesize}
    \begin{itemize}
-      \item<1->{The inflection point in the velocity profile introduces instabilities to the flow, leading to the formation of Kelvin-Helmholtz waves near the canopy top (\textcircled{{\tiny 1}})}
-      \item<2->{Wave breaking induces further instabilities, whereby a longitudinal component is added to the developing turbulence structures (\textcircled{{\tiny 2}} \& \textcircled{{\tiny 3}})}
-      \item<3->{Due to the persistent instabilities the turbulence structures develop a distinct three-dimensionality (\textcircled{{\tiny 4}})}
+      \item<1->{The inflection point in the velocity profile introduces instabilities to the flow, leading to the formation of Kelvin-Helmholtz waves near the canopy top (\textcircled{{\tiny 1}}).}
+      \item<2->{Wave breaking induces further instabilities, whereby a longitudinal component is added to the developing turbulence structures (\textcircled{{\tiny 2}} \& \textcircled{{\tiny 3}}).}
+      \item<3->{Due to the persistent instabilities the turbulence structures develop a distinct three-dimensionality (\textcircled{{\tiny 4}}).}
       \item<4->{The large turbulence structures developing due to the inflection point instability significantly contribute to the vertical mixing of in-canopy and above-canopy air.
          \begin{center}
@@ -172,5 +172,5 @@
       }
       \item<2->{It is assumed that the foliage is warmed by the penetrating solar radiation and, in turn, warms the surrounding air.}
-      \item<3->{The source strength $S_{\theta}$ is defined as the vertical derivative of the upward kinematic vertical heat flux given by (Shaw and Schumann, 1992):\\
+      \item<3->{The source strength $S_{\theta}$ is defined as the vertical derivative of the upward kinematic vertical heat flux $Q_{\theta}$, given by (Shaw and Schumann, 1992):\\
          \begin{align*}
             Q_{\theta}(z) = Q_{\theta}(h) exp(-\alpha F) \text{ , } Q_{\theta}(h) \text{ : Heat flux at canopy top}
@@ -216,5 +216,5 @@
       (http://palm.muk.uni-hannover.de)
       }
-      \item<3->{The following slides will describe how to set up a simulation with a simple horizontally homogeneous canopy block covering the entire model domain surface. In this case, {\small \texttt{plant\_canopy = 'block'}} must be set in \&inipar {\small \texttt{NAMELIST}}.}
+      \item<3->{The following slides will describe how to set up a simulation with a simple horizontally homogeneous canopy block covering the entire model domain surface. In this case, {\small \texttt{canopy\_mode = 'block'}} must be set in \&inipar {\small \texttt{NAMELIST}}.}
    \end{itemize}
 \end{frame}
@@ -616,10 +616,10 @@
    Do you want to simulate a more customized canopy, which e.g. covers only half the model surface?\\
     \begin{itemize}
-       \item<2->{Step I: Copy the file \texttt{user\_init\_plant\_canopy.f90} from {\small \texttt{trunk/SOURCE}} to the directory {\small \texttt{USER\_CODE (\$Home/palm/current\_version)}} of the specific job and make the desired changes for {\small \texttt{CASE ('user\_defined\_canopy\_1')}}.}
+       \item<2->{Step I: Copy the file \texttt{user\_init\_plant\_canopy.f90} from {\small \texttt{trunk/SOURCE}} to the directory {\small \texttt{\$Home/palm/current\_version/USER\_CODE/<enter job name>}} and make the desired changes for {\small \texttt{CASE ('user\_defined\_canopy\_1')}}.}
        \item<3->{Step II: In your parameter file set: {\scriptsize \texttt{canopy\_mode = 'user\_defined\_canopy\_1'}}}
     \end{itemize}
    \end{footnotesize}
    \vspace{7pt}
-   
+
    \tikzstyle{background} = [rectangle, fill=gray!10, text width=1\textwidth, text centered, rounded corners, minimum height=10em]
    \tikzstyle{Key1} = [rectangle, draw, fill=gray!70, text width=0.05, minimum size=0.05, font=\tiny]
Index: /palm/trunk/TUTORIAL/SOURCE/installation.tex
===================================================================
--- /palm/trunk/TUTORIAL/SOURCE/installation.tex	(revision 1204)
+++ /palm/trunk/TUTORIAL/SOURCE/installation.tex	(revision 1205)
@@ -114,5 +114,5 @@
 % Folie 6
 \begin{frame}
-   \frametitle{PALM - Installation / General Requirements}
+   \frametitle{PALM - Installation / General Requirements (I)}
    
    \footnotesize 
@@ -123,5 +123,16 @@
       \item<4->[4.]{The Message Passing Interface (MPI),  if the parallel version of PALM shall be used.}
       \item<5->[5.]{On the \textcolor{green}{local} computer, the revision control system subversion (see subversion.tigris.org). This is already included in many Linux distributions (e.g. SuSe). Subversion requires port 3690 to be open for tcp/udp. If there are firewall restrictions concerning this port, the PALM code cannot be accessed. The user needs a permit to access the PALM repository. For getting a permit please contact the PALM group (raasch@muk.uni-hannover.de) and define a username and a password under which you like to access the repository. This username and password also gives you access to advanced features of the online documentation. (trac-server)}
-      \item<6->[6.]{All participants of this seminar are already permitted to access the repository. Use \dq seminar2012\dq as username and \dq palm2012\dq as password.}
+   \end{itemize}
+\end{frame}
+
+
+% Folie 6a
+\begin{frame}
+   \frametitle{PALM - Installation / General Requirements (II)}
+   
+   \footnotesize 
+   \begin{itemize}
+      \item<1->[6.]{All participants of this seminar are already permitted to access the repository. Use \dq seminar2012\dq as username and \dq palm2012\dq as password.}
+      \item<2->[7.]{For the installation of the PALM code on the \textcolor{red}{remote} computer (at HLRN), a sufficient virtual memory has to be allocated on the \textcolor{red}{remote} computer. The value of 256 MByte that is set by \texttt{ulimit -S -v 256000} in the users profile under {\tt $\sim$/.profile} is not sufficient.  Please remove this line in your user profile in order to disable the virtual memory limitation.}
    \end{itemize}
 \end{frame}
@@ -987,4 +998,5 @@
       This has to be done in file {\tt $\sim$/.bashrc} or  in file {\tt $\sim$/.profile}, depending on your default shell. You can get your default shell via command: \\ \par\medskip
          \qquad{\tt echo \$SHELL}}
+      \item<3->[3.]{Please also remove the line \texttt{ulimit -S -v 256000} in file {\tt $\sim$/.profile} to disable the virtual memory limitation of 256 MByte that is set for your seminar user account.}
    \end{itemize}
 \end{frame}
@@ -995,6 +1007,6 @@
    \footnotesize
    \begin{itemize}
-      \item<1->[3.]{On the \textcolor{green}{local} host, edit your configuration file ({\tt .mrun.config}), and replace in the lcsgih-block \textless replace by your HLRN username\textgreater with your HLRN-username.}\\ \par\medskip
-      \item<2->[4.]{Create directory {\tt job\_queue} on the \textcolor{green}{local} and the \textcolor{red}{remote} host:\\ \par\medskip
+      \item<1->[4.]{On the \textcolor{green}{local} host, edit your configuration file ({\tt .mrun.config}), and replace in the lcsgih-block \textless replace by your HLRN username\textgreater with your HLRN-username.}\\ \par\medskip
+      \item<2->[5.]{Create directory {\tt job\_queue} on the \textcolor{green}{local} and the \textcolor{red}{remote} host:\\ \par\medskip
          \qquad{\tt mkdir $\sim$/job\_queue}}
    \end{itemize}