Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 1212)
+++ /palm/trunk/SOURCE/Makefile	(revision 1213)
@@ -20,9 +20,12 @@
 # Current revisions:
 # ------------------
-# +tridia_solver, -poisfft_hybrid
+# 
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1212 2013-08-15 08:46:27Z raasch
+# +tridia_solver, -poisfft_hybrid
 #
 # 1210 2013-08-14 10:58:20Z raasch
Index: /palm/trunk/SOURCE/Makefile_check
===================================================================
--- /palm/trunk/SOURCE/Makefile_check	(revision 1212)
+++ /palm/trunk/SOURCE/Makefile_check	(revision 1213)
@@ -20,10 +20,13 @@
 # Current revisions:
 # ------------------
-# object file list replaced by one line statement,
-# -poisfft_hybrid
+# 
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1212 2013-08-15 08:46:27Z raasch
+# object file list replaced by one line statement,
+# -poisfft_hybrid
 #
 # 1111 2013-03-08 23:54:10Z raasch
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1212)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1213)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! checks for poisfft_hybrid removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1212 2013-08-15 08:46:27Z raasch
+! checks for poisfft_hybrid removed
 !
 ! 1210 2013-08-14 10:58:20Z raasch
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1212)
+++ /palm/trunk/SOURCE/header.f90	(revision 1213)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! output for poisfft_hybrid removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1212 2013-08-15 08:46:27Z raasch
+! output for poisfft_hybrid removed
 !
 ! 1179 2013-06-14 05:57:58Z raasch
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1212)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1213)
@@ -23,9 +23,12 @@
 ! Current revisions:
 ! ------------------
-! array tri is allocated and included in data copy statement
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1212 2013-08-15 08:46:27Z raasch
+! array tri is allocated and included in data copy statement
 !
 ! 1195 2013-07-01 12:27:57Z heinze
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 1212)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 1213)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! error message for poisfft_hybrid removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1212 2013-08-15 08:46:27Z raasch
+! error message for poisfft_hybrid removed
 !
 ! 1159 2013-05-21 11:58:22Z fricke
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1212)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1213)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! +tri
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1212 2013-08-15 08:46:27Z raasch
+! +tri
 !
 ! 1179 2013-06-14 05:57:58Z raasch
Index: /palm/trunk/SOURCE/palm.f90
===================================================================
--- /palm/trunk/SOURCE/palm.f90	(revision 1212)
+++ /palm/trunk/SOURCE/palm.f90	(revision 1213)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! +tri in copyin statement
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1212 2013-08-15 08:46:27Z raasch
+! +tri in copyin statement
 !
 ! 1179 2013-06-14 05:57:58Z raasch
Index: /palm/trunk/SOURCE/poisfft.f90
===================================================================
--- /palm/trunk/SOURCE/poisfft.f90	(revision 1212)
+++ /palm/trunk/SOURCE/poisfft.f90	(revision 1213)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! tridia routines moved to seperate module tridia_solver
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1212 2013-08-15 08:46:27Z raasch
+! tridia routines moved to seperate module tridia_solver
 !
 ! 1208 2013-08-13 06:41:49Z raasch
Index: /palm/trunk/SOURCE/pres.f90
===================================================================
--- /palm/trunk/SOURCE/pres.f90	(revision 1212)
+++ /palm/trunk/SOURCE/pres.f90	(revision 1213)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! call of poisfft_hybrid removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1212 2013-08-15 08:46:27Z raasch
+! call of poisfft_hybrid removed
 !
 ! 1117 2013-03-27 11:15:36Z suehring
Index: /palm/trunk/SOURCE/tridia_solver.f90
===================================================================
--- /palm/trunk/SOURCE/tridia_solver.f90	(revision 1212)
+++ /palm/trunk/SOURCE/tridia_solver.f90	(revision 1213)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! ------------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1212 2013-08-15 08:46:27Z raasch
 ! Initial revision.
 ! Routines have been moved to seperate module from former file poisfft to here.
 ! The tridiagonal matrix coefficients of array tri are calculated only once at
 ! the beginning, i.e. routine split is called within tridia_init.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 !