Index: /palm/trunk/SCRIPTS/mbuild
===================================================================
--- /palm/trunk/SCRIPTS/mbuild	(revision 1216)
+++ /palm/trunk/SCRIPTS/mbuild	(revision 1217)
@@ -27,4 +27,7 @@
 # -----------------
 # $Id$
+#
+# 1216 2013-08-26 09:31:42Z raasch
+# 
 #
 # 1210 2013-08-14 10:58:20Z raasch
Index: /palm/trunk/SOURCE/Makefile_check
===================================================================
--- /palm/trunk/SOURCE/Makefile_check	(revision 1216)
+++ /palm/trunk/SOURCE/Makefile_check	(revision 1217)
@@ -20,9 +20,12 @@
 # Current revisions:
 # ------------------
-# +tridia_solver
+# 
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1216 2013-08-26 09:31:42Z raasch
+# +tridia_solver
 #
 # 1212 2013-08-15 08:46:27Z raasch
Index: /palm/trunk/SOURCE/calc_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/calc_spectra.f90	(revision 1216)
+++ /palm/trunk/SOURCE/calc_spectra.f90	(revision 1217)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! resorting of array moved to separate routine resort_for_zx,
-! one argument removed from the transpose_..d routines
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1216 2013-08-26 09:31:42Z raasch
+! resorting of array moved to separate routine resort_for_zx,
+! one argument removed from the transpose_..d routines
 !
 ! 1120 2013-04-05 15:11:35Z raasch
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1216)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1217)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! check for transpose_compute_overlap (temporary)
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1216 2013-08-26 09:31:42Z raasch
+! check for transpose_compute_overlap (temporary)
 !
 ! 1214 2013-08-21 12:29:17Z kanani
Index: /palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- /palm/trunk/SOURCE/fft_xy.f90	(revision 1216)
+++ /palm/trunk/SOURCE/fft_xy.f90	(revision 1217)
@@ -25,4 +25,9 @@
 ! -----------------
 ! $Id$
+!
+! 1216 2013-08-26 09:31:42Z raasch
+! fft_x and fft_y modified for parallel / ovverlapping execution of fft and
+! transpositions,
+! fftw implemented for 1d-decomposition (fft_x_1d, fft_y_1d)
 !
 ! 1210 2013-08-14 10:58:20Z raasch
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1216)
+++ /palm/trunk/SOURCE/header.f90	(revision 1217)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! output for transpose_compute_overlap
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1216 2013-08-26 09:31:42Z raasch
+! output for transpose_compute_overlap
 !
 ! 1212 2013-08-15 08:46:27Z raasch
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1216)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1217)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! +transpose_compute_overlap,
-! several variables are now defined in the serial (non-parallel) case also
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1216 2013-08-26 09:31:42Z raasch
+! +transpose_compute_overlap,
+! several variables are now defined in the serial (non-parallel) case also
 !
 ! 1212 2013-08-15 08:46:27Z raasch
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1216)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1217)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! +transpose_compute_overlap in inipar
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1216 2013-08-26 09:31:42Z raasch
+! +transpose_compute_overlap in inipar
 !
 ! 1195 2013-07-01 12:27:57Z heinze
Index: /palm/trunk/SOURCE/poisfft.f90
===================================================================
--- /palm/trunk/SOURCE/poisfft.f90	(revision 1216)
+++ /palm/trunk/SOURCE/poisfft.f90	(revision 1217)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1216 2013-08-26 09:31:42Z raasch
 ! resorting of arrays moved to separate routines resort_for_...,
 ! one argument, used as temporary work array, removed from all transpose
 ! routines
 ! overlapping fft / transposition implemented
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1212 2013-08-15 08:46:27Z raasch
Index: /palm/trunk/SOURCE/transpose.f90
===================================================================
--- /palm/trunk/SOURCE/transpose.f90	(revision 1216)
+++ /palm/trunk/SOURCE/transpose.f90	(revision 1217)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! re-sorting of the transposed / to be transposed arrays moved to separate
-! routines resort_for_...
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1216 2013-08-26 09:31:42Z raasch
+! re-sorting of the transposed / to be transposed arrays moved to separate
+! routines resort_for_...
 !
 ! 1111 2013-03-08 23:54:10Z raasch
Index: /palm/trunk/SOURCE/tridia_solver.f90
===================================================================
--- /palm/trunk/SOURCE/tridia_solver.f90	(revision 1216)
+++ /palm/trunk/SOURCE/tridia_solver.f90	(revision 1217)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! +tridia_substi_overlap for handling overlapping fft / transposition
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1216 2013-08-26 09:31:42Z raasch
+! +tridia_substi_overlap for handling overlapping fft / transposition
 !
 ! 1212 2013-08-15 08:46:27Z raasch