Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 1221)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 1222)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! wall_flags_00 introduced, which holds bits 32-...
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1221 2013-09-10 08:59:13Z raasch
+! wall_flags_00 introduced, which holds bits 32-...
 !
 ! 1128 2013-04-12 06:19:32Z raasch
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 1221)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1222)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! -----------------
-! ported for openACC in separate branch
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1221 2013-09-10 08:59:13Z raasch
+! ported for openACC in separate #else branch
 !
 ! 1179 2013-06-14 05:57:58Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1221)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1222)
@@ -23,10 +23,13 @@
 ! Current revisions:
 ! ------------------
-! +rflags_s_inner in copyin statement, use copyin for most arrays instead of
-! copy
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1221 2013-09-10 08:59:13Z raasch
+! +rflags_s_inner in copyin statement, use copyin for most arrays instead of
+! copy
 !
 ! 1212 2013-08-15 08:46:27Z raasch
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 1221)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 1222)
@@ -20,11 +20,14 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1221 2013-09-10 08:59:13Z raasch
 ! wall_flags_00 introduced to hold bits 32-63,
 ! additional 3D-flag arrays for replacing the 2D-index array nzb_s_inner in
 ! loops optimized for openACC (pres + flow_statistics)
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1092 2013-02-02 11:24:22Z raasch
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1221)
+++ palm/trunk/SOURCE/modules.f90	(revision 1222)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! wall_flags_0 changed to 32bit int, +wall_flags_00,
-! +rflags_s_inner, rflags_invers
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1221 2013-09-10 08:59:13Z raasch
+! wall_flags_0 changed to 32bit int, +wall_flags_00,
+! +rflags_s_inner, rflags_invers
 !
 ! 1216 2013-08-26 09:31:42Z raasch
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 1221)
+++ palm/trunk/SOURCE/palm.f90	(revision 1222)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! +wall_flags_00, rflags_invers, rflags_s_inner in copyin statement
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1221 2013-09-10 08:59:13Z raasch
+! +wall_flags_00, rflags_invers, rflags_s_inner in copyin statement
 !
 ! 1212 2013-08-15 08:46:27Z raasch
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 1221)
+++ palm/trunk/SOURCE/pres.f90	(revision 1222)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! openACC porting of reduction operations, loops for calculating d are
-! using the rflags_s_inner multiply flag instead of the nzb_s_inner loop index
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1221 2013-09-10 08:59:13Z raasch
+! openACC porting of reduction operations, loops for calculating d are
+! using the rflags_s_inner multiply flag instead of the nzb_s_inner loop index
 !
 ! 1212 2013-08-15 08:46:27Z raasch
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1221)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1222)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! host update of arrays before timestep is called
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1221 2013-09-10 08:59:13Z raasch
+! host update of arrays before timestep is called
 !
 ! 1179 2013-06-14 05:57:58Z raasch
Index: palm/trunk/SOURCE/tridia_solver.f90
===================================================================
--- palm/trunk/SOURCE/tridia_solver.f90	(revision 1221)
+++ palm/trunk/SOURCE/tridia_solver.f90	(revision 1222)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! dummy argument tri in 1d-routines replaced by tri_for_1d because of name
-! conflict with arry tri in module arrays_3d
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1221 2013-09-10 08:59:13Z raasch
+! dummy argument tri in 1d-routines replaced by tri_for_1d because of name
+! conflict with arry tri in module arrays_3d
 !
 ! 1216 2013-08-26 09:31:42Z raasch