Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1239)
+++ palm/trunk/SOURCE/header.f90	(revision 1240)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! output for nudging + large scale forcing from external file
+!
 !
 ! Former revisions:
@@ -428,12 +428,4 @@
         WRITE ( io, 154 )
     ENDIF
-    IF ( nudging )  THEN
-        WRITE ( io, 155 )
-        WRITE ( io, 156 )
-    ENDIF
-    IF ( large_scale_forcing )  THEN
-        WRITE ( io, 157 )
-        WRITE ( io, 158 )
-    ENDIF
     WRITE ( io, 99 )
 
@@ -714,17 +706,9 @@
        WRITE ( io, 303 )
        IF ( constant_heatflux )  THEN
-          IF ( large_scale_forcing .AND. lsf_surf ) THEN
-             WRITE ( io, 306 )  shf(0,0)
-          ELSE
-             WRITE ( io, 306 )  surface_heatflux
-          ENDIF
+          WRITE ( io, 306 )  surface_heatflux
           IF ( random_heatflux )  WRITE ( io, 307 )
        ENDIF
        IF ( humidity  .AND.  constant_waterflux )  THEN
-          IF ( large_scale_forcing .AND. lsf_surf ) THEN
-             WRITE ( io, 311 ) qsws(0,0)
-          ELSE
-             WRITE ( io, 311 ) surface_waterflux
-          ENDIF
+          WRITE ( io, 311 ) surface_waterflux
        ENDIF
        IF ( passive_scalar  .AND.  constant_waterflux )  THEN
@@ -1304,10 +1288,6 @@
     ENDDO
 
-    IF ( .NOT. large_scale_forcing ) THEN
-       WRITE ( io, 423 )  TRIM( coordinates ), TRIM( ugcomponent ), &
-                          TRIM( gradients ), TRIM( slices )
-    ELSE
-       WRITE ( io, 429 ) 
-    ENDIF
+    WRITE ( io, 423 )  TRIM( coordinates ), TRIM( ugcomponent ), &
+                       TRIM( gradients ), TRIM( slices )
 
 !-- Profile of the geostrophic wind (component vg)
@@ -1340,8 +1320,6 @@
     ENDDO
 
-    IF ( .NOT. large_scale_forcing ) THEN
-       WRITE ( io, 424 )  TRIM( coordinates ), TRIM( vgcomponent ), &
-                          TRIM( gradients ), TRIM( slices )
-    ENDIF
+    WRITE ( io, 424 )  TRIM( coordinates ), TRIM( vgcomponent ), &
+                       TRIM( gradients ), TRIM( slices )
 
 !
@@ -1379,10 +1357,6 @@
     ENDDO
 
-    IF ( .NOT. nudging ) THEN
-       WRITE ( io, 420 )  TRIM( coordinates ), TRIM( temperatures ), &
-                          TRIM( gradients ), TRIM( slices )
-    ELSE
-       WRITE ( io, 428 ) 
-    ENDIF
+    WRITE ( io, 420 )  TRIM( coordinates ), TRIM( temperatures ), &
+                       TRIM( gradients ), TRIM( slices )
 
 !
@@ -1418,8 +1392,6 @@
 
        IF ( humidity )  THEN
-          IF ( .NOT. nudging ) THEN
-             WRITE ( io, 421 )  TRIM( coordinates ), TRIM( temperatures ), &
-                                TRIM( gradients ), TRIM( slices )
-          ENDIF
+          WRITE ( io, 421 )  TRIM( coordinates ), TRIM( temperatures ), &
+                             TRIM( gradients ), TRIM( slices )
        ELSE
           WRITE ( io, 422 )  TRIM( coordinates ), TRIM( temperatures ), &
@@ -1733,9 +1705,4 @@
                   'prognostic equation for')
 154 FORMAT ('     the potential temperature')
-155 FORMAT (' --> Nudging is used - initial profiles for u, v, pt and q ',& 
-                  'correspond to the')
-156 FORMAT ('     first profiles in NUDGING_DATA')
-157 FORMAT (' --> Large scale forcing from external file (LSF_DATA) is used: ')
-158 FORMAT ('     prescribed surfaces fluxes and geostrophic wind components')
 200 FORMAT (//' Run time and time step information:'/ &
              ' ----------------------------------'/)
@@ -1990,8 +1957,4 @@
 427 FORMAT (/'    Initial wind profiles (u,v) are interpolated from given'// &
                   ' profiles')
-428 FORMAT (/'    Initial profiles (u, v, pt, q) are taken from file '/ &
-             '    NUDGING_DATA')
-429 FORMAT (/'    Geostrophic wind profiles (ug, vg) are are taken from file '/ &
-             '    LSF_DATA_DATA')
 430 FORMAT (//' Cloud physics quantities / methods:'/ &
               ' ----------------------------------'/)